Results 1 to 1 of 1

Thread: BackTrack 5 - How to Switch Ruby Versions

  1. #1
    Developer muts's Avatar
    Join Date
    Jan 2006
    Posts
    272

    Default BackTrack 5 - How to Switch Ruby Versions

    BackTrack 5 comes with 2 versions of ruby shipped - 1.9.2 and 1.8.7. The default is 1.9.2.

    Depending on your needs, the default version of ruby can be switched using the "update-alternatives" command.

    Code:
    update-alternatives --config ruby
    Remember that few tools in BackTrack depend on a certain ruby version in order to run, such as whatweb, cewl, warvox, etc. These tools will require that you switch your ruby version before use.
    Last edited by muts; 05-11-2011 at 05:08 AM.

Similar Threads

  1. Replies: 4
    Last Post: 09-01-2010, 08:12 AM
  2. Looking for old backtrack versions
    By turkystick in forum Beginners Forum
    Replies: 1
    Last Post: 04-09-2010, 06:16 PM
  3. Learning ruby... My first ruby backdoor...
    By BigMac in forum OLD Programming
    Replies: 9
    Last Post: 06-03-2009, 11:32 PM
  4. How to switch to managed mode from monitor mode backtrack 3?
    By donjuanzx9 in forum OLD Newbie Area
    Replies: 8
    Last Post: 07-15-2008, 04:41 AM
  5. Where can i download the older backtrack versions?
    By Cytomax in forum OLD Newbie Area
    Replies: 5
    Last Post: 04-14-2007, 12:29 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •